# class AuthInfo | Object to hold authorization information. More...
Full name | `KIO::AuthInfo`
Definition | `#include <authinfo.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- AuthInfo ()
- AuthInfo ( const AuthInfo& info )
- AuthInfo& operator= ( const AuthInfo& info )
- bool isModified () const
- void setModified ( bool flag )

#### Public Members

- KURL url
- QString username
- QString password
- QString prompt
- QString caption
- QString comment
- QString commentLabel
- QString realmValue
- QString digestInfo
- bool verifyPath
- bool readOnly
- bool keepPassword

#### Protected Members

- bool modified

## Detailed Description

This class is intended to make it easier to prompt for, cache and retrieve authorization information.

NOTE: If you extend this class to add additional paramters do not forget to overload the stream insertion and extraction operators ("<<" and ">>") so that the added data can be correctly serialzed.

AuthInfo () | ### AuthInfo

Default constructor.

AuthInfo ( const AuthInfo& info ) | ### AuthInfo

Copy constructor.

AuthInfo& operator= ( const AuthInfo& info ) | ### operator=

Overloaded equal to operator.

bool isModified () | ### isModified

[const]

Use this method to check if the object was modified.

void setModified ( bool flag ) | ### setModified

Use this method to indicate that this object has been modified.

KURL url | ### url

QString username | ### username

QString password | ### password

QString prompt | ### prompt

QString caption | ### caption

QString comment | ### comment

QString commentLabel | ### commentLabel

QString realmValue | ### realmValue

QString digestInfo | ### digestInfo

bool verifyPath | ### verifyPath

bool readOnly | ### readOnly

bool keepPassword | ### keepPassword

bool modified | ### modified

[protected]

- Author: Dawit Alemayehu <adawit@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.